Update brand logo (file)
curl --request PUT \
--url https://www.trybloom.ai/api/v1/brands/{id}/logo/file \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form 'file=<string>'import requests
url = "https://www.trybloom.ai/api/v1/brands/{id}/logo/file"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://www.trybloom.ai/api/v1/brands/{id}/logo/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Logo could not be validated",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Plan upgrade required",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Brand not found",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded",
"data": "<unknown>"
}Brands
Update brand logo (file)
Update the logo for a brand by uploading raw bytes (multipart/form-data). Use this when the logo is local — for remote URLs, use PUT /brands//logo. Validates and processes the file (SVG and AVIF are converted to PNG; transparency gets an optimal background), then starts (or restarts) visual DNA extraction.
PUT
/
brands
/
{id}
/
logo
/
file
Update brand logo (file)
Authorizations
apiKeybearer
Bloom API key, for example x-api-key: bloom_sk_....
Path Parameters
Brand ID
Body
multipart/form-data
Logo file (PNG, JPEG, WebP, SVG, or AVIF, max 10MB)
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I